---
title: Animation.effect
slug: Web/API/Animation/effect
tags:
  - API
  - Animation
  - Experimental
  - Property
  - Reference
  - Web Animations
  - effect
  - web animations api
---
<div>{{ SeeCompatTable() }} {{ APIRef("Web Animations") }}</div>

<p>The <code><strong>Animation</strong></code><strong><code>.effect</code></strong> property of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> gets and sets the target effect of an animation. The target effect may be either an effect object of a type based on {{domxref("AnimationEffectReadOnly")}}, such as {{domxref("KeyframeEffect")}}, or <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>effect</em> = <em>Animation</em>.effect;

<em>Animation</em>.effect = <em>{{domxref("AnimationEffectReadOnly")}}</em></pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("AnimationEffectReadOnly")}} object describing the target animation effect for the animation, or <code>null</code> to indicate no active effect.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-effect', 'Animation.effect' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.effect")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("AnimationEffectReadOnly")}}</li>
 <li>{{domxref("Animation")}}</li>
</ul>
